| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::PropertyDef Class Reference
Optional Components » Property

Definition of a property of an object. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::PropertyDef:
[legend]

## Public Member Functions
| PropertyDef (const String &name, const String &desc, PropertyType pType)
| Construct a property. More...
const String & | getDescription () const
| Get the description of the property. More...
const String & | getName () const
| Get the name of the property. More...
PropertyType | getType () const
| Get the type of the property. More...

## Static Public Member Functions
static PropertyType | getTypeForValue (const short &val)
static PropertyType | getTypeForValue (const unsigned short &val)
static PropertyType | getTypeForValue (const int &val)
static PropertyType | getTypeForValue (const unsigned int &val)
static PropertyType | getTypeForValue (const long &val)
static PropertyType | getTypeForValue (const unsigned long &val)
static PropertyType | getTypeForValue (const Real &val)
static PropertyType | getTypeForValue (const String &val)
static PropertyType | getTypeForValue (const Vector2 &val)
static PropertyType | getTypeForValue (const Vector3 &val)
static PropertyType | getTypeForValue (const Vector4 &val)
static PropertyType | getTypeForValue (const ColourValue &val)
static PropertyType | getTypeForValue (const bool &val)
static PropertyType | getTypeForValue (const Quaternion &val)
static PropertyType | getTypeForValue (const Matrix3 &val)
static PropertyType | getTypeForValue (const Matrix4 &val)
static const String & | getTypeName (PropertyType theType)
| Get a string name of a property type. More...

## Detailed Description

Definition of a property of an object.

Remarks
  This definition is shared between all instances of an object and therefore has no value. Property contains values.

## Constructor & Destructor Documentation

## ◆ PropertyDef()

Ogre::PropertyDef::PropertyDef | ( | const String & | name,
|  | const String & | desc,
|  | PropertyType | pType
| ) |  |
| inline

Construct a property.

Parameters

  name | The name of the property
  desc | A (potentially) long description of the property
  pType | The type of the property

## Member Function Documentation

## ◆ getName()

const String& Ogre::PropertyDef::getName | ( | void |  | ) | const
| inline

Get the name of the property.

## ◆ getDescription()

const String& Ogre::PropertyDef::getDescription | ( |  | ) | const
| inline

Get the description of the property.

## ◆ getType()

PropertyType Ogre::PropertyDef::getType | ( | void |  | ) | const
| inline

Get the type of the property.

## ◆ getTypeName()

static const String& Ogre::PropertyDef::getTypeName | ( | PropertyType | theType | ) |
| static

Get a string name of a property type.

## ◆ getTypeForValue() [1/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const short & | val | ) |
| inline static

References Ogre::PROP_SHORT.

Referenced by Ogre::PropertySet::getValue(), and Ogre::PropertySet::setValue().

## ◆ getTypeForValue() [2/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const unsigned short & | val | ) |
| inline static

References Ogre::PROP_UNSIGNED_SHORT.

## ◆ getTypeForValue() [3/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const int & | val | ) |
| inline static

References Ogre::PROP_INT.

## ◆ getTypeForValue() [4/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const unsigned int & | val | ) |
| inline static

References Ogre::PROP_UNSIGNED_INT.

## ◆ getTypeForValue() [5/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const long & | val | ) |
| inline static

References Ogre::PROP_LONG.

## ◆ getTypeForValue() [6/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const unsigned long & | val | ) |
| inline static

References Ogre::PROP_UNSIGNED_LONG.

## ◆ getTypeForValue() [7/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Real & | val | ) |
| inline static

References Ogre::PROP_REAL.

## ◆ getTypeForValue() [8/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const String & | val | ) |
| inline static

References Ogre::PROP_STRING.

## ◆ getTypeForValue() [9/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Vector2 & | val | ) |
| inline static

References Ogre::PROP_VECTOR2.

## ◆ getTypeForValue() [10/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Vector3 & | val | ) |
| inline static

References Ogre::PROP_VECTOR3.

## ◆ getTypeForValue() [11/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Vector4 & | val | ) |
| inline static

References Ogre::PROP_VECTOR4.

## ◆ getTypeForValue() [12/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const ColourValue & | val | ) |
| inline static

References Ogre::PROP_COLOUR.

## ◆ getTypeForValue() [13/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const bool & | val | ) |
| inline static

References Ogre::PROP_BOOL.

## ◆ getTypeForValue() [14/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Quaternion & | val | ) |
| inline static

References Ogre::PROP_QUATERNION.

## ◆ getTypeForValue() [15/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Matrix3 & | val | ) |
| inline static

References Ogre::PROP_MATRIX3.

## ◆ getTypeForValue() [16/16]

static PropertyType Ogre::PropertyDef::getTypeForValue | ( | const Matrix4 & | val | ) |
| inline static

References Ogre::PROP_MATRIX4.

The documentation for this class was generated from the following file:

- OgreProperty.h